<!DOCTYPE html>
<html lang="{{ page.lang | default: 'en' }}">
  {% include base/head.html -%}
  <body id="top" class="bg-dots">

    {% include base/navbar.html -%}

    {% if page.with_breakingnews and page.with_breakingnews.size > 0 -%}
    {% assign height = 38 %}
    <div class="sticky-top sticky-top-breakingnews">
      {% for news in page.with_breakingnews %}
      {% assign height = height | plus: height %}
      {% include base/breakingnews.html
          title=news.title
          content=news.content
          color=news.color
          url=news.url
      -%}
      {% endfor %}
      <style>
        main {
          .content > h1,
          .content > h2,
          .content > h3,
          .content > h4,
          .content > h5,
          .content > h6 {
            scroll-margin-top: {{ 80 | plus: height }}px;
          }
        }
      </style>
    </div>
    {% endif %}

    <main class="container bg-body py-5">

      {% if page.with_announcements and page.with_announcements.size > 0 -%}
      {% for announcement in page.with_announcements %}
      {% include base/announcements.html
          title=announcement.title
          content=announcement.content
          color=announcement.color
      -%}
      {% endfor %}
      {% endif -%}

      {% if page.with_breadcrumbs == true %}
      <div class="row justify-content-center">
        <div class="col-sm-12 col-lg-8">
          <div class="mb-4">{% include base/breadcrumbs.html %}</div>
        </div>
      </div>
      {% endif %}

      {% if page.with_artwork != false %}
      <div class="row justify-content-center">
        <div class="col-sm-12 col-lg-8">
          <div class="my-4 artwork">
            <img src="{{ site.url }}{{ site.baseurl }}/assets/img/{{ page.with_artwork }}" class="img-fluid rounded" alt="{{ page.title }}">
          </div>
        </div>
      </div>
      {% endif %}

      {% if page.with_title != false -%}
      <div class="row justify-content-center">
        <div class="col-sm-12 col-lg-8">
          <div class="my-4">
            <div class="h1">{{ page.title }}</div>
            {% if page.with_preamble != false -%}
            <div class="lead">{{ page.title_lead }}</div>
            {% endif -%}
          </div>
        </div>
      </div>
      {% endif %}

      {% if page.with_toc == true %}
      <div class="row justify-content-center">
        <div class="col-sm-12 col-lg-8">
          <div class="my-4">{% include base/toc-accordion.html %}</div>
        </div>
      </div>
      {% endif %}

      {% if page.with_content == true %}
      <div class="row justify-content-center">
        <div class="col-sm-12 col-lg-8">
          <div class="content">
          {{ content }}
          </div>
        </div>
      </div>
      {% endif %}

    </main>

    {% if page.with_footer == true %}
    <footer class="footer small bg-dark bg-image text-light">
      {% if page.with_shortcuts != false %}
      <div class="container">
        {% include base/shortcuts.html %}
      </div>
      {% endif %}

      {% if page.with_finale != false %}
      <div class="container border-5 border-top border-primary">
      {% include base/finale.html %}
      </div>
      {% endif %}

      {% if page.with_sponsors != false %}
      <div class="container-fluid bg-light">
        <div class="container">
        {% include sponsors/carousel.html -%}
        </div>
      </div>
      {% endif %}

      {% if page.with_copyright != false %}
      <div class="container py-1">
        {% include base/copyright.html %}
      </div>
      {% endif %}

    </footer>
    {% endif %}

    {% include base/script.html -%}

  </body>
</html>
